Debian Bug report logs - #528892
please add info-dir-section to your info files

version graph

Package: menu; Maintainer for menu is Bill Allombert <ballombe@debian.org>; Source for menu is src:menu.

Reported by: Norbert Preining <preining@logic.at>

Date: Sat, 16 May 2009 10:07:24 UTC

Severity: normal

Found in version menu/2.1.41

Fixed in version menu/2.1.42

Done: Bill Allombert <ballombe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, texinfo@packages.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sat, 16 May 2009 10:07:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to texinfo@packages.debian.org, Bill Allombert <ballombe@debian.org>. (Sat, 16 May 2009 10:07:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: submit@bugs.debian.org
Subject: please add info-dir-section to your info files
Date: Sat, 16 May 2009 11:59:07 +0200
Package: menu
Version: 2.1.41
Severity: normal
Usertags: texinfo-transition

Dear maintainer,

we are currently replacing the dpkg install-info with GNU install-info
and at the same time reworking the installation method for info files
with triggers (see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
for details).

As a package maintainer your only job is to drop info files below
/usr/share/info and the package install-info will care for the rest
by recreating the dir file from all installed info files.

There is one problem in the info files of your packages
	menu
because the files:
	usr/share/info/menu.info.gz
do not ship info dir sections. Thus, calling install-info (the GNU version)
on these files issue a warning:
	install-info: warning: no info dir entry in `/usr/share/info/...'
and the file is not included in the dir file.

The source of this problem is the following missing entry in the
texinfo source:
	@dircategory Package short info
	@direntry
	* menu item 1: (infofile).		Description.
	* menu item 2: (infofile2).		Description.
	@end direntry
In the experimental package we still let the above warnings go through,
but with an upload to unstable they will be probably supressed.

Can you please add an info dir entry to the texinfo files of your package
to fix these warnings.

If you have any questions please see the texinfo manual available in info 
format in texinfo-doc-nonfree, chapter 21 Creating and Installing Info Files,
and do not hesitate to contact us at
	debian-tex-maint@lists.debian.org

Thanks a lot and all the best

Norbert Preining
texinfo maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sat, 16 May 2009 10:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 16 May 2009 10:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 528892@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Norbert Preining <preining@logic.at>, 528892@bugs.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sat, 16 May 2009 12:31:15 +0200
On Sat, May 16, 2009 at 11:59:07AM +0200, Norbert Preining wrote:
> Package: menu
> Version: 2.1.41
> Severity: normal
> Usertags: texinfo-transition
> 
> Dear maintainer,
> 
> we are currently replacing the dpkg install-info with GNU install-info
> and at the same time reworking the installation method for info files
> with triggers (see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
> for details).

Hello Norbert, 
Does Lenny includes this trigger ?
Did you consider what will when a partial lenny to squeeze update is made ?

> As a package maintainer your only job is to drop info files below
> /usr/share/info and the package install-info will care for the rest
> by recreating the dir file from all installed info files.
> 
> There is one problem in the info files of your packages
> 	menu
> because the files:
> 	usr/share/info/menu.info.gz
> do not ship info dir sections. Thus, calling install-info (the GNU version)
> on these files issue a warning:
> 	install-info: warning: no info dir entry in `/usr/share/info/...'
> and the file is not included in the dir file.

Well, it might be but this file is generated from the sgml source by
debiandoc2texinfo.

> The source of this problem is the following missing entry in the
> texinfo source:
> 	@dircategory Package short info
> 	@direntry
> 	* menu item 1: (infofile).		Description.
> 	* menu item 2: (infofile2).		Description.
> 	@end direntry
> In the experimental package we still let the above warnings go through,
> but with an upload to unstable they will be probably supressed.
> 
> Can you please add an info dir entry to the texinfo files of your package
> to fix these warnings.

Well, I would need a fixed version of debiandoc2texinfo. Is there one already ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sat, 16 May 2009 19:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 16 May 2009 19:57:08 GMT) Full text and rfc822 format available.

Message #15 received at 528892@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 528892@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sat, 16 May 2009 21:54:35 +0200
Hi Bill,

On Sat, 16 May 2009, Bill Allombert wrote:
> Does Lenny includes this trigger ?

No.

> Did you consider what will when a partial lenny to squeeze update is made ?

Yes. If the new texinfo/install-info is installed it will work on the 
triggers. Packages that are old will call install-info which is a wrapper
and will do nothing. If the old install-info/texinfo is installed then
the normal install-info procedure is called.

Do we miss something? Raphael?

> Well, it might be but this file is generated from the sgml source by
> debiandoc2texinfo.

umpf, that is bad.

> Well, I would need a fixed version of debiandoc2texinfo. Is there one already ?

No, I checked the source code just now, and it does not produce any
dir entries. I will file a bug against that, but that is somehow
bad.

There is an option to postprocess the .texi file and simply sed-in the
direntry, but that is not the optimal solution, definitely.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
HIBBING (n.)
The marks left on the outside breast pocket of a storekeeper's overall
where he has put away his pen and missed.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sat, 16 May 2009 20:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 16 May 2009 20:27:02 GMT) Full text and rfc822 format available.

Message #20 received at 528892@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Norbert Preining <preining@logic.at>, 528892@bugs.debian.org
Cc: debian-dpkg@lists.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sat, 16 May 2009 22:24:43 +0200
On Sat, May 16, 2009 at 09:54:35PM +0200, Norbert Preining wrote:
> Hi Bill,
> 
> On Sat, 16 May 2009, Bill Allombert wrote:
> > Does Lenny includes this trigger ?
> 
> No.
> 
> > Did you consider what will when a partial lenny to squeeze update is made ?
> 
> Yes. If the new texinfo/install-info is installed it will work on the 
> triggers. Packages that are old will call install-info which is a wrapper
> and will do nothing. If the old install-info/texinfo is installed then
> the normal install-info procedure is called.

What happens if a new package is installed but not the new install-info ?

> No, I checked the source code just now, and it does not produce any
> dir entries. I will file a bug against that, but that is somehow
> bad.

Thanks for that.

> There is an option to postprocess the .texi file and simply sed-in the
> direntry, but that is not the optimal solution, definitely.

Agreed!

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sun, 17 May 2009 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sun, 17 May 2009 02:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 528892@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: Norbert Preining <preining@logic.at>, 528892@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sun, 17 May 2009 04:26:02 +0200
Hi!

Just in case this was not clear from the bug report, and as exmplained
on bug 528877, for now the info files should just get the missing info
dir entry added. Once the new install-info and dpkg packages have
migrated to testing maintainers should be able to start dropping the
direct calls to install-info.

On Sat, 2009-05-16 at 22:24:43 +0200, Bill Allombert wrote:
> On Sat, May 16, 2009 at 09:54:35PM +0200, Norbert Preining wrote:
> > On Sat, 16 May 2009, Bill Allombert wrote:
> > > Does Lenny includes this trigger ?
> > 
> > > Did you consider what will when a partial lenny to squeeze update is made ?

Yes, most of the plan has been drafted with the idea of inflicting
minimal disruption.

> > Yes. If the new texinfo/install-info is installed it will work on the 
> > triggers. Packages that are old will call install-info which is a wrapper
> > and will do nothing. If the old install-info/texinfo is installed then
> > the normal install-info procedure is called.
> 
> What happens if a new package is installed but not the new install-info ?

The info files are not usually ‘readable’ w/o an info-reader. The new
info-reader Providing packages will Depend on the install-info package,
so they will get a generated dir when installed. And the first dpkg
version to stop shipping the real install-info will Break all old
info-readers versions not Depending on the install-info package. Does
this resolve your concerns?

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sun, 17 May 2009 03:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sun, 17 May 2009 03:36:04 GMT) Full text and rfc822 format available.

Message #30 received at 528892@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Norbert Preining <preining@logic.at>, 528892@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sun, 17 May 2009 05:30:39 +0200
On Sun, 2009-05-17 at 04:26:02 +0200, Guillem Jover wrote:
> On Sat, 2009-05-16 at 22:24:43 +0200, Bill Allombert wrote:
> > On Sat, May 16, 2009 at 09:54:35PM +0200, Norbert Preining wrote:
> > > On Sat, 16 May 2009, Bill Allombert wrote:
> > > > Does Lenny includes this trigger ?
> > > 
> > > > Did you consider what will when a partial lenny to squeeze update is made ?
> 
> Yes, most of the plan has been drafted with the idea of inflicting
> minimal disruption.
> 
> > > Yes. If the new texinfo/install-info is installed it will work on the 
> > > triggers. Packages that are old will call install-info which is a wrapper
> > > and will do nothing. If the old install-info/texinfo is installed then
> > > the normal install-info procedure is called.
> > 
> > What happens if a new package is installed but not the new install-info ?
> 
> The info files are not usually ‘readable’ w/o an info-reader. The new
> info-reader Providing packages will Depend on the install-info package,
> so they will get a generated dir when installed. And the first dpkg
> version to stop shipping the real install-info will Break all old
> info-readers versions not Depending on the install-info package. Does
> this resolve your concerns?

Actually, no, I guess it does not. In case the user has no upgraded
dpkg nor any of the info-readers, the user could upgrade a info
providing package and that would not call install-info anymore (in
this particular case things would probably just work, as the info dir
section is already on the dir file, but not for new info files, or
renamed files).

So there's several options that come to mind for that:

  * We don't care, and expect users might miss docs on the dir file in
    some cases or need to upgrade dpkg or any of the info-readers.
  * Make info providing packages depend on install-info.
  * Make info providing packages Break old dpkgs.
  * Not remove calls to install-info from packages until squeeze+1
    (and make install-info wrappers not warn in some conditions).

Probably the sanest and safest is the last one, but slowest and with
less immediate benefits. OTOH not registering some docs on the dir
file is not that grave, as they will get readded whe upgrading.
So I'd go for the "we don't care", but would not mind being more
conservative.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sun, 17 May 2009 14:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sun, 17 May 2009 14:24:02 GMT) Full text and rfc822 format available.

Message #35 received at 528892@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Norbert Preining <preining@logic.at>, 528892@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sun, 17 May 2009 16:21:20 +0200
On Sun, May 17, 2009 at 05:30:39AM +0200, Guillem Jover wrote:
> On Sun, 2009-05-17 at 04:26:02 +0200, Guillem Jover wrote:
> > On Sat, 2009-05-16 at 22:24:43 +0200, Bill Allombert wrote:
> > > On Sat, May 16, 2009 at 09:54:35PM +0200, Norbert Preining wrote:
> > > > On Sat, 16 May 2009, Bill Allombert wrote:
> > > > > Does Lenny includes this trigger ?
> > > > 
> > > > > Did you consider what will when a partial lenny to squeeze update is made ?
> > 
> > Yes, most of the plan has been drafted with the idea of inflicting
> > minimal disruption.
> > 
> > > > Yes. If the new texinfo/install-info is installed it will work on the 
> > > > triggers. Packages that are old will call install-info which is a wrapper
> > > > and will do nothing. If the old install-info/texinfo is installed then
> > > > the normal install-info procedure is called.
> > > 
> > > What happens if a new package is installed but not the new install-info ?
> > 
> > The info files are not usually ‘readable’ w/o an info-reader. The new
> > info-reader Providing packages will Depend on the install-info package,
> > so they will get a generated dir when installed. And the first dpkg
> > version to stop shipping the real install-info will Break all old
> > info-readers versions not Depending on the install-info package. Does
> > this resolve your concerns?
> 
> Actually, no, I guess it does not. In case the user has no upgraded
> dpkg nor any of the info-readers, the user could upgrade a info
> providing package and that would not call install-info anymore (in
> this particular case things would probably just work, as the info dir
> section is already on the dir file, but not for new info files, or
> renamed files).

Yes this was my point.

> So there's several options that come to mind for that:
> 
>   * We don't care, and expect users might miss docs on the dir file in
>     some cases or need to upgrade dpkg or any of the info-readers.
>   * Make info providing packages depend on install-info.
>   * Make info providing packages Break old dpkgs.
>   * Not remove calls to install-info from packages until squeeze+1
>     (and make install-info wrappers not warn in some conditions).
> 
> Probably the sanest and safest is the last one, but slowest and with
> less immediate benefits. OTOH not registering some docs on the dir
> file is not that grave, as they will get readded whe upgrading.
> So I'd go for the "we don't care", but would not mind being more
> conservative.

Since all packages that use install-info need to be changed, options 2)
seems doable, and since install-info used to be provided by dpkg it even
makes sense. I do not have experience with the behaviour of Break during
upgrade (with aprt or aptitude) to comment on 3)

The point is that we are introducing a potential breakage during upgrade.
In this instance it is rather trivial, but when triggers are used for more
critical things like boot-loaders, this should be documented and prevented.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sun, 17 May 2009 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sun, 17 May 2009 14:57:02 GMT) Full text and rfc822 format available.

Message #40 received at 528892@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: Norbert Preining <preining@logic.at>, 528892@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sun, 17 May 2009 16:50:32 +0200
On Sun, 17 May 2009, Bill Allombert wrote:
> > So there's several options that come to mind for that:
> > 
> >   * We don't care, and expect users might miss docs on the dir file in
> >     some cases or need to upgrade dpkg or any of the info-readers.
> >   * Make info providing packages depend on install-info.
> >   * Make info providing packages Break old dpkgs.
> >   * Not remove calls to install-info from packages until squeeze+1
> >     (and make install-info wrappers not warn in some conditions).
> > 
> > Probably the sanest and safest is the last one, but slowest and with
> > less immediate benefits. OTOH not registering some docs on the dir
> > file is not that grave, as they will get readded whe upgrading.
> > So I'd go for the "we don't care", but would not mind being more
> > conservative.
> 
> Since all packages that use install-info need to be changed, options 2)
> seems doable, and since install-info used to be provided by dpkg it even
> makes sense. I do not have experience with the behaviour of Break during
> upgrade (with aprt or aptitude) to comment on 3)

And then people would file bugs to demote it to Recommends/Suggests
because it's not necessary for the application to work.

The best solution is to depend on the version of dpkg that breaks the
non-updated info browsers. That way people are forced to upgrade dpkg and
the info browsers at the same time (and install-info is installed).

On the downside, it will make backports painful (unless those dependencies
are manually removed in the backport).

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#528892; Package menu. (Sun, 17 May 2009 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sun, 17 May 2009 15:18:02 GMT) Full text and rfc822 format available.

Message #45 received at 528892@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Norbert Preining <preining@logic.at>, 528892@bugs.debian.org, debian-dpkg@lists.debian.org
Cc: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Subject: Re: Bug#528892: please add info-dir-section to your info files
Date: Sun, 17 May 2009 17:17:20 +0200
On Sun, May 17, 2009 at 04:50:32PM +0200, Raphael Hertzog wrote:
> On Sun, 17 May 2009, Bill Allombert wrote:
> > > So there's several options that come to mind for that:
> > > 
> > >   * We don't care, and expect users might miss docs on the dir file in
> > >     some cases or need to upgrade dpkg or any of the info-readers.
> > >   * Make info providing packages depend on install-info.
> > >   * Make info providing packages Break old dpkgs.
> > >   * Not remove calls to install-info from packages until squeeze+1
> > >     (and make install-info wrappers not warn in some conditions).
> > > 
> > > Probably the sanest and safest is the last one, but slowest and with
> > > less immediate benefits. OTOH not registering some docs on the dir
> > > file is not that grave, as they will get readded whe upgrading.
> > > So I'd go for the "we don't care", but would not mind being more
> > > conservative.
> > 
> > Since all packages that use install-info need to be changed, options 2)
> > seems doable, and since install-info used to be provided by dpkg it even
> > makes sense. I do not have experience with the behaviour of Break during
> > upgrade (with aprt or aptitude) to comment on 3)
> 
> And then people would file bugs to demote it to Recommends/Suggests
> because it's not necessary for the application to work.

These will be invalid bugs: install-info currently part of a package 
"Essential: yes" so it is not a regression. Such dependency can be removed in
squeeze+1. Arguably, this is a bug to remove install-info from the base system
without prior notice to the user.

> The best solution is to depend on the version of dpkg that breaks the
> non-updated info browsers. That way people are forced to upgrade dpkg and
> the info browsers at the same time (and install-info is installed).
> 
> On the downside, it will make backports painful (unless those dependencies
> are manually removed in the backport).

Let's make upgrade work correctly before thinking about backports.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#528892; Package menu. (Thu, 17 Sep 2009 11:37:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
Extra info received and forwarded to list. (Thu, 17 Sep 2009 11:37:07 GMT) Full text and rfc822 format available.

Message #50 received at 528892@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: control@bugs.debian.org
Cc: 522301@bugs.debian.org, 528892@bugs.debian.org
Subject: setting package to menu, tagging 522301, tagging 528892
Date: Thu, 17 Sep 2009 10:26:33 +0200
# Automatically generated email from bts, devscripts version 2.10.35lenny7
# via tagpending 
#
# menu (2.1.42) unstable; urgency=low
#
#  * doc/Makefile.am:
#    - Add @direntry to menu.info. Closes: #528892
#  * su-to-root:
#    - su-to-root failed to interpolate command when run by root.
#      Patch from Stefan Monnier. Closes: #522301
#

package menu
tags 522301 + pending
tags 528892 + pending





Added tag(s) pending. Request was from Bill Allombert <ballombe@debian.org> to control@bugs.debian.org. (Thu, 17 Sep 2009 11:37:09 GMT) Full text and rfc822 format available.

Reply sent to Bill Allombert <ballombe@debian.org>:
You have taken responsibility. (Fri, 18 Sep 2009 22:42:19 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Fri, 18 Sep 2009 22:42:19 GMT) Full text and rfc822 format available.

Message #57 received at 528892-close@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: 528892-close@bugs.debian.org
Subject: Bug#528892: fixed in menu 2.1.42
Date: Fri, 18 Sep 2009 22:32:06 +0000
Source: menu
Source-Version: 2.1.42

We believe that the bug you reported is fixed in the latest version of
menu, which is due to be installed in the Debian FTP archive:

menu_2.1.42.dsc
  to pool/main/m/menu/menu_2.1.42.dsc
menu_2.1.42.tar.gz
  to pool/main/m/menu/menu_2.1.42.tar.gz
menu_2.1.42_amd64.deb
  to pool/main/m/menu/menu_2.1.42_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528892@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bill Allombert <ballombe@debian.org> (supplier of updated menu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Sep 2009 20:37:19 +0200
Source: menu
Binary: menu
Architecture: source amd64
Version: 2.1.42
Distribution: unstable
Urgency: low
Maintainer: Bill Allombert <ballombe@debian.org>
Changed-By: Bill Allombert <ballombe@debian.org>
Description: 
 menu       - generates programs menu for all menu-aware applications
Closes: 498590 503140 504508 511622 511622 520998 522301 522746 528892 532686
Changes: 
 menu (2.1.42) unstable; urgency=low
 .
   * The "answer to life, the universe and menu" release.
   * Handling of l10n by Christian Perrier:
     + Menu sections translations:
       - Asturian added. Closes: #511622
       - Kazakh added. Closes: #520998
       - Bengali updated
       - Breton added. Closes: #532686
       - Slovak updated. Closes: #522746
     + Programs translations:
       - Asturian added. Closes: #511622
 .
   * debian/compat, debian/control
     - Switch to debhelper v5.
 .
   * debian/control:
     - Depends: add ${misc:Depends}
     - Bump Standards-Version to 3.8.3.
 .
   * install-info transition:
     + doc/Makefile.am, doc/menu.direntry:
       - Add @direntry to menu.info. Closes: #528892
     + debian/postinst, debian/prerm:
       - Remove call to install-info.
     + debian/rules:
       - call dh_installinfo to handle info document.
 .
   * debian/postinst, debian/prerm:
     - Remove useless commented parts.
 .
   * su-to-root:
     - su-to-root failed to interpolate command when run by root.
       Patch from Stefan Monnier. Closes: #522301
 .
   * menu.h:
     - default setting of sort was disabling $sort.
       Patch from Vaclav Ovsik. Closes: #504508
 .
   * doc/menu.sgml:
     - Do not use /etc/X11 as example path. Closes: #498590
     - Clean up 'postrm purge' example.
     - Mention existence of dh_installmenu. Closes: #503140
     - Remove note about wm-menu-config.
 .
   * configure.ac, */Makefile.am
     - Fix uninstall target so that 'make distcheck' work again.
Checksums-Sha1: 
 15f0289668828355408e74d68056f34ce5d5e9de 722 menu_2.1.42.dsc
 8b008c214cf26a0eb218dbf21289b7ea31887a04 467105 menu_2.1.42.tar.gz
 e05038e666d9f1aae0350a981ac8fbcbd697df83 458500 menu_2.1.42_amd64.deb
Checksums-Sha256: 
 678c3fdbfd52919bc2f15497099ae5822448708e2d4465eca6e487a521fb72cc 722 menu_2.1.42.dsc
 5e09f0231c45b8e3e44e94dee224ef4f255e5f40b5d3182d9184c3db09eda0f2 467105 menu_2.1.42.tar.gz
 3b80bf2e21ca6abfe58d94b64181b3a47c757aaee9ad40316df3bb8878402154 458500 menu_2.1.42_amd64.deb
Files: 
 fc23858fd251be8387a4b56cb3b24c4f 722 admin optional menu_2.1.42.dsc
 c1fbf8433fade37bb6f0cd5ee7f22136 467105 admin optional menu_2.1.42.tar.gz
 c327410a5e4595f9a66263fd0c551de1 458500 admin optional menu_2.1.42_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkq0BBkACgkQeDPs8bVESBU1bgCfU32kMTy7CZPrjhucb1PUaj2y
8M8An1b3zxgrsZnYRGtZvyXrRN/ZqBpl
=7hY8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Oct 2009 07:39:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:17:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.